Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenJavaExpressionProvider

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenExpressionProviderBase, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenJavaExpressionProviderImpl

    public interface GenJavaExpressionProvider

extends GenExpressionProviderBase

A representation of the model object 'Gen Java Expression Provider'.

The following features are supported:

- `Throw Exception`
- `Inject Expression Body`

See Also:
  `GMFGenPackage.getGenJavaExpressionProvider()`
** Generated **
Model:

Method Summary
`boolean` `isInjectExpressionBody()` Returns the value of the 'Inject Expression Body' attribute.
`boolean` `isThrowException()` Returns the value of the 'Throw Exception' attribute.
`void` `setInjectExpressionBody(boolean value)` Sets the value of the '`Inject Expression Body`' attribute
`void` `setThrowException(boolean value)` Sets the value of the '`Throw Exception`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenExpressionProviderBase
`getContainer, getExpressions, getLanguage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isThrowException

    boolean isThrowException()

  Returns the value of the 'Throw Exception' attribute. The default value is `"true"`.

  If the meaning of the 'Throw Exception' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Throw Exception' attribute.
  See Also:
    `setThrowException(boolean)`, `GMFGenPackage.getGenJavaExpressionProvider_ThrowException()`
  ** Generated **
  Model:
    default="true" annotation="http://www.eclipse.org/emf/2002/GenModel documentaion='Whether to generate default implementation that rises RuntimeException to signal unimplemented method'"

### setThrowException

    void setThrowException(boolean value)

  Sets the value of the '`Throw Exception`' attribute.

  Parameters:
    `value` - the new value of the 'Throw Exception' attribute.
  See Also:
    `isThrowException()`
  ** Generated **

### isInjectExpressionBody

    boolean isInjectExpressionBody()

  Returns the value of the 'Inject Expression Body' attribute. The default value is `"false"`.

  If the meaning of the 'Inject Expression Body' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inject Expression Body' attribute.
  See Also:
    `setInjectExpressionBody(boolean)`, `GMFGenPackage.getGenJavaExpressionProvider_InjectExpressionBody()`
  ** Generated **
  Model:
    default="false" annotation="http://www.eclipse.org/emf/2002/GenModel documentaion='When \'true\', body of associated ValueExpression would get injected into Java code as-is, thus allowing to provide method implementations right within the model. Note, if body is empty, default implementation would be generated instead.'"

### setInjectExpressionBody

    void setInjectExpressionBody(boolean value)

  Sets the value of the '`Inject Expression Body`' attribute.

  Parameters:
    `value` - the new value of the 'Inject Expression Body' attribute.
  See Also:
    `isInjectExpressionBody()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.